uniform sampler2DShadow ShadowMap;
varying vec3 normal;
varying vec3 lightVector;
varying vec3 eyeVector;

vec4 diffC;

void main(void) { 
	diffC = 0.4*vec4(0.267, 0.236, 0.161, 1.0);
	// Diffuse shading
	vec3 lv = normalize(lightVector);
	vec3 n = normalize(normal);
	vec3 ev = normalize(eyeVector);
	float diffuse = dot(lv,n);
	float inLight = step(0., diffuse);
	
  	gl_FragColor = 5.0* (inLight * (diffuse * diffC ) +  0.4*diffC);
} 

